Bug 874669 - Upgrade to juddi 3.1.4
Upgrade to juddi 3.1.4
Status: ON_QA
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: tcunning
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-08 10:46 EST by tcunning
Modified: 2013-10-10 20:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It is desired that integration with jUDDI be upgraded for jUDDI version 3.1.4.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jUDDI database DDL upgrade statements (60.65 KB, text/plain)
2012-11-20 12:46 EST, tcunning
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 873821 None None None 2012-11-08 10:48:45 EST
JBoss Issue Tracker JBESB-3885 Major Closed Upgrade to jUDDI 3.1.4 2015-12-09 07:14 EST

  None (edit)
Description tcunning 2012-11-08 10:46:29 EST
Description of problem:
Need to upgrade jUDDI to version 3.1.4
Comment 1 tcunning 2012-11-08 10:50:53 EST
Need to create a jUDDI 3.1.4 for the linked issue and incorporate it.
Comment 2 tcunning 2012-11-20 12:46:04 EST
Created attachment 648690 [details]
jUDDI database DDL upgrade statements
Comment 3 tcunning 2012-11-20 12:48:39 EST
Moving to jUDDI 3.1.4 will require some changes to the schema scripts.     There are a number of create table statements, and a number of alter table statements (adding indices).     I've attached the patch file which shows the differences in the DDL for new installs - I think these will have to be added to the changes which are applied to existing installs.
Comment 4 JBoss JIRA Server 2012-12-03 12:50:52 EST
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3885 to Resolved
Comment 5 JBoss JIRA Server 2012-12-03 12:50:56 EST
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3885 to Closed

Note You need to log in before you can comment on or make changes to this bug.